[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEncoding.GetMaxByteCount

Returns the maximum number of bytes needed to represent a string

## Declaration

Source position: sysencodingh.inc line 86

`public function TEncoding.GetMaxByteCount(`
`CharCount: Integer`
`):Integer; virtual; abstract;`

## Description

GetMaxByteCount returns the maximum number of bytes needed to represent a string of CharCount characters in the given encoding.

This is an abstract method, implemented by descendents of TEncoding.

## See also

TEncoding.GetMaxCharCount |  | Return the maximum number of characters that can be represented in a number of bytes